diff --git a/spring-boot/src/test/java/org/springframework/boot/logging/log4j2/Log4J2LoggingSystemTests.java b/spring-boot/src/test/java/org/springframework/boot/logging/log4j2/Log4J2LoggingSystemTests.java
index fb0aa0e5669..5936f06c6c4 100644
--- a/spring-boot/src/test/java/org/springframework/boot/logging/log4j2/Log4J2LoggingSystemTests.java
+++ b/spring-boot/src/test/java/org/springframework/boot/logging/log4j2/Log4J2LoggingSystemTests.java
@@ -191,6 +191,13 @@ public void configLocationsWithJacksonDatabindAndDataformatYaml() {
 						"log4j2.jsn", "log4j2.xml")));
 	}
 
+	@Test
+	public void springConfigLocations() throws Exception {
+		String[] locations = getSpringConfigLocations(this.loggingSystem);
+		assertThat(locations,
+				equalTo(new String[] { "log4j2-spring.xml" }));
+	}
+
 	@Test
 	public void exceptionsIncludeClassPackaging() throws Exception {
 		this.loggingSystem.beforeInitialize();
